rem runcon.bat
rem DELETE ANY FILE CALLED DINP BEFORE RUNNING
rem 17 Mar 2009 - f90 version
rem 17 Mar 2009 - General version for any directory
rem 11 Mar 2009 - Moved CONBLK from CONTOUR2 to a separate file CONBLK3.FOR
rem  3 Aug 2006 - Added CEA
@ECHO OFF
rem 25 Mar 2006 - Added contour2 back to loader list (for conblk)
rem 25 Mar 2006 - Moved S5, S6, S7, S8 to G subdirectory
rem Assuming output is in tape5 instead of txtout
rem  3 Mar 2006 - Loading versions from ..\pcharpo
rem  2 Feb 2006 - For general version of FNDMODLH
rem 19 March 2005 - Version for directory c:\raytracing\samples\
rem If the first command parameter was "L" or "l", then need to run FINDMODL
rem and then LINK the CONPLT program.  Otherwise, run CONPLT.EXE that
rem currently exists.
rem
if %1. == .  GOTO NLNK
if %1. == l. GOTO FIND
if %1. == L. GOTO FIND
GOTO NLNK
:FIND
rem   Run FINDMODL to determine which models will be linked.
rem
rem ..\conplt\FNDMODLH %2
..\fndmodlh\FNDMODLH %2
rem
if NOT errorlevel 1 GOTO LNK
     rem   There are errors while running FINDMODL.
     @ECHO ON
     PAUSE 'Press Ctrl-Break to Quit'
     @ECHO OFF
rem
:LNK
rem
copy linkmodl.dat ..\conplt/y
copy return.bat ..\conplt/y
cd ..\conplt
rem For the f90 version, uncomment the following line
DF /LINK /stack:4096 conplt contour1 conblk3 ..\G\s5 ..\G\s6 ..\G\s7 ..\G\s8 ..\EIGEN\CEA ..\pcharpo\atmoshd @linkmodl.dat /out:conplt.exe
rem The following line is for the Intel 9.0 version
rem DF /stand:f90 /Qsave /quiet /LINK /stack:4096 /DEBUG:all conplt contour1 conblk3 ..\G\s5 ..\G\s6 ..\G\s7 ..\G\s8 ..\EIGEN\CEA ..\pcharpo\atmoshd @linkmodl.dat /exe:conplt.exe
rem
rem   If there are errors, go to EXIT.
if errorlevel 1 GOTO EXIT
rem
return %1 %2 runcon
rem   Go here if no LINK is desired, i.e. no models were changed.
:NLNK
rem   Run CONPLT to produce TXTOUT file.
rem
cls
..\conplt\conplt < FNAME.OUT
rem
rem   If there are errors, go to EXIT.
if errorlevel 1 GOTO EXIT
rem
copy txtout c%2
:EXIT
